GHSA-28v4-jf82-jvj8

Suggest an improvement
Source
https://github.com/advisories/GHSA-28v4-jf82-jvj8
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2022/09/GHSA-28v4-jf82-jvj8/GHSA-28v4-jf82-jvj8.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-28v4-jf82-jvj8
Aliases
Published
2022-09-16T00:00:36Z
Modified
2023-11-08T04:10:07.618463Z
Severity
  • 7.5 (High) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H CVSS Calculator
Summary
steal vulnerable to Regular Expression Denial of Service via source and sourceWithComments
Details

A Regular Expression Denial of Service (ReDoS) flaw was found in stealjs steal via the source and sourceWithComments variable in main.js.

References

Affected packages

npm / steal

Package

Affected ranges

Type
SEMVER
Events
Introduced
0Unknown introduced version / All previous versions are affected
Last affected
2.3.0